"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.postcodeValidatorExistsForCountry = exports.postcodeValidator = exports.CountryCode = void 0;
const postcode_regexes_1 = require("./postcode-regexes");
var postcode_types_1 = require("./postcode-types");
Object.defineProperty(exports, "CountryCode", { enumerable: true, get: function () { return postcode_types_1.CountryCode; } });
const postcodeValidator = (postcode, country) => {
    if (!postcode_regexes_1.POSTCODE_REGEXES.has(country)) {
        // throw Error if country code is unrecognised
        throw Error(`Invalid country code: ${country}`);
    }
    return postcode_regexes_1.POSTCODE_REGEXES.get(country).test(postcode);
};
exports.postcodeValidator = postcodeValidator;
const postcodeValidatorExistsForCountry = (country) => {
    return postcode_regexes_1.POSTCODE_REGEXES.has(country);
};
exports.postcodeValidatorExistsForCountry = postcodeValidatorExistsForCountry;
